TaliwareTaliware Developer

Create a new smart contract record (not deployed yet)

https://developer.taliware.com/api/v1/cl2c/contract

Back to all CL2C endpoints

Complete endpoint URL
posthttps://developer.taliware.com/api/v1/cl2c/contract
POST
/cl2c/contract
x-api-key<token>

In: header

namestring
symbolstring
description?string
network?string
Value in"POLYGON"
env?string
Value in"TESTNET" | "MAINNET"
metadata?object

Empty Object

Response Body

curl -X POST "https://developer.taliware.com/api/v1/cl2c/contract" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "symbol": "string"  }'
{
  "id": "string",
  "name": "string",
  "symbol": "string",
  "description": "string",
  "network": "string",
  "env": "string",
  "status": "CREATED",
  "contractAddress": "string",
  "deployedAt": "2019-08-24T14:15:22Z",
  "metadata": {},
  "totalNFTs": 0,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
Create a new smart contract record (not deployed yet)